Bug 15909 - Sub and Superscript in Text
Summary: Sub and Superscript in Text
Status: RESOLVED FIXED
Alias: None
Product: karbon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Rob Buis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-23 13:03 UTC by Unknown
Modified: 2011-06-03 00:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description G 2000-11-23 12:57:00 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: killustrator
Version: 0.2 (KDE 2.0)
Severity: wishlist
Compiler: gcc version 2.95.2 19991024 (release)
OS: Linux 2.2.14 i686 (compiled sources)

I'd like to use killustrator for explanatory drawings in scientific papers as it smoothly integrates into the KDE 
desktop and is thus easier to use as tgif and xfig say.
What I am desperately missing 
is the chance to input sub and superscripts (Indizes). Also the possibility to include greek characters 
in a transparent way would be nice.
Comment 1 Nicolas Goutte 2003-01-10 11:02:54 UTC
As Kontour (formaly KIllustrator) is considered dead and is replaced by Karbon, I am moving this 
wish to Karbon.  
  
Have a nice day/evening/night! 
Comment 2 Stephan Kulow 2004-05-17 20:41:34 UTC
Replaced g.milde@physik.tu-dresden.de with null@kde.org due to bounces by reporter
Comment 3 Alan Horkan 2005-08-22 18:27:00 UTC
This looks like it would require a lot of work to do.  
Firstly there are various problems with the text support in Karbon.  
Secondly styles such as Bold or Italic apply to the whole text block rather than specific parts of it so it could take a whole lot of work to create a text widget that allows multiple text styles.  
Comment 4 Sven Langkamp 2009-01-12 23:27:05 UTC
The text shape has support for Sub and Superscript.
Comment 5 Jan Hambrecht 2011-06-03 00:31:05 UTC
Git commit 9cf91f4f29c5fcfeb66d3f14e88b4a83077516d0 by Jan Hambrecht.
Committed on 30/05/2011 at 00:31.
Pushed by jaham into branch 'master'.

added support for baseline shift

baseline shift is used for sub and super script as well and more.

BUG:15909

M  +14   -0    plugins/artistictextshape/ArtisticTextRange.cpp     
M  +10   -1    plugins/artistictextshape/ArtisticTextRange.h     
M  +105  -49   plugins/artistictextshape/ArtisticTextShape.cpp     
M  +11   -4    plugins/artistictextshape/ArtisticTextShape.h     
M  +51   -4    plugins/artistictextshape/ArtisticTextTool.cpp     
M  +3    -0    plugins/artistictextshape/ArtisticTextTool.h     
M  +1    -0    plugins/artistictextshape/CMakeLists.txt     
A  +80   -0    plugins/artistictextshape/ReplaceTextRangeCommand.cpp         [License: LGPL (v2+)]
A  +50   -0    plugins/artistictextshape/ReplaceTextRangeCommand.h         [License: LGPL (v2+)]

http://commits.kde.org/calligra/9cf91f4f29c5fcfeb66d3f14e88b4a83077516d0